How to contribute
=================

First and foremost: _thank you for your interest in contributing to this open source software project!_

The many ways in which you can contribute include:
- [reporting an issue](#reporting-an-issue)
- [fixing an issue](#fixing-an-issue)
- [adding a feature](#adding-a-feature)
- [financial support](#financial-support)
- [love and encouragement](#love-and-encouragement)

[![Contributor Covenant](https://img.shields.io/badge/Contributor%20Covenant-2.0-4baaaa.svg)](CODE_OF_CONDUCT.md)
Kindly observe the standard [code of conduct](CODE_OF_CONDUCT.md) however you choose to contribute.


Reporting an issue
------------------

We invite contributors to __create an issue on GitHub__ whenever a significant bug or impedement to the existing functionality of the project is encountered.  Kindly include sufficient detail to easily replicate the issue as this will maximise the chances of a swift resolution.


Fixing an issue
---------------

We invite contributors who are comfortable fixing any significant and obvious issue they discover to __create a pull request__ on the appropriate project branch.

:information_source: Kindly observe reelyActive's [Node.js style guide](https://github.com/reelyactive/node-style-guide) and/or [Web style guide](https://github.com/reelyactive/web-style-guide) as applicable.


Adding a feature
----------------

We invite _new_ contributors to __fork the project__, add new features, and then [contact us](https://www.reelyactive.com/contact/) to share their work.

We invite _veteran_ contributors to __create a pull request__ on the appropriate branch for each new feature they develop.

:information_source: Kindly observe reelyActive's [Node.js style guide](https://github.com/reelyactive/node-style-guide) and/or [Web style guide](https://github.com/reelyactive/web-style-guide) as applicable.


Financial support
-----------------

Open source development of this and other reelyActive software packages is supported primarily by [annual subscriptions](https://www.reelyactive.com/pricing/) from clients, partners and members of our community.  If you're in a position to contribute financially, please consider doing so.


Love and encouragement
----------------------

This open source project exists because of a perceived community need and the tireless efforts of its contributors.  Consider encouraging them by:
- :star: starring the project on GitHub
- :busts_in_silhouette: sharing the project with friends and colleagues to raise awareness
- :heart: surprising the community and its contributors with random acts of kindness


These contribution guidelines were drafted by [the reelyActive team](https://www.reelyactive.com/team/) and we invite you to adapt them for your own projects under a [Creative Commons Attribution 4.0 International License](https://creativecommons.org/licenses/by/4.0/).